Module jdk.compiler
Package com.sun.source.doctree

## Interface SerialFieldTree

- All Superinterfaces:
    `BlockTagTree`, `DocTree`

      public interface SerialFieldTree
      extends BlockTagTree

  A tree node for an @serialData block tag.

  @serialField field-name field-type field-description

  Since:
    1.8

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.doctree.DocTree

      `DocTree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<? extends DocTree>` | `getDescription​()` | Returns the description of the serial field.
    `IdentifierTree` | `getName​()` | Returns the name of the serial field.
    `ReferenceTree` | `getType​()` | Returns the type of the serial field.

    - ### Methods inherited from interface com.sun.source.doctree.BlockTagTree

      `getTagName`

    - ### Methods inherited from interface com.sun.source.doctree.DocTree

      `accept, getKind`

- - ### Method Detail

    - #### getName

          IdentifierTree getName​()

      Returns the name of the serial field.
      Returns:
        the name of the serial field

    - #### getType

          ReferenceTree getType​()

      Returns the type of the serial field.
      Returns:
        the type of the serial field

    - #### getDescription

          List<? extends DocTree> getDescription​()

      Returns the description of the serial field.
      Returns:
        the description of the serial field